GetFitHRegL1 {ptest} | R Documentation

## Compute loglikelihood ratio test statistic under the laplace noises

### Description

The -2 loglikelihood ratio test statistic, -2LLR, is computed for testing for periodicity under the laplace noises.

### Usage

    GetFitHRegL1(y)

### Arguments

`y` | Vector containing the series.

### Details

To compute the likelihood ratio statistic, a harmonic regression model is fitted by the maximum likelihood estimations (MLE) according to the selected model. In particular, the frequency f is found by the grid search among En = {j/101 | j=1,…,50 and j/101 ≥ 1/n}. The MLE is equivalent to the least absolute estimation. The computation is completed by the Exterior Point Methods with theimported function `rq.fit.br` from the package `quantreg`.

### Value

Vector of length 2 containing the -2 loglikelihood ratio test statistic under the laplace noises and the estimated frequency.

### Author(s)

Yuanhao Lai

### References

Li, T. H. (2010). A nonlinear method for robust spectral analysis. Signal Processing, IEEE Transactions on, 58(5), 2466-2474.

[Package ptest version 1.0-8 Index]